Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface DerivationFunction

All Known Implementing Classes:
  BaseKDFBytesGenerator, BrokenKDF2BytesGenerator, DHKEKGenerator, ECDHKEKGenerator, KDF1BytesGenerator, KDF2BytesGenerator, MGF1BytesGenerator

    public interface DerivationFunction

base interface for general purpose byte derivation functions.

Method Summary
`int` | `generateBytes(byte[] out, int outOff, int len)`
`Digest` | `getDigest()` return the message digest used as the basis for the function
`void` | `init(DerivationParameters param)`

Method Detail

### init

    void init(DerivationParameters param)

### getDigest

    Digest getDigest()

  return the message digest used as the basis for the function

### generateBytes

    int generateBytes(byte[] out,
                      int outOff,
                      int len)
                      throws DataLengthException,
                             java.lang.IllegalArgumentException

  Throws:
    `DataLengthException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD